Subject: Re: cygwin libtool and 'R' tagged symbols in objects
From: Charles Wilson <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: [email-masked]
Date: Thu, 19 Aug 2004 01:27:28 -0400

Gerrit P. Haase wrote:

> got a problem with the latest gcc on cygwin and libtool generated
> export symbol lists (gcc-3.3.3 with patches so actually it is version
> 3.3.4, or is it a binutils / ld issue?).  There are symbols tagged
> with 'R' now in the object files which are not filtered by the libtool
> regex. The attached patch fixes this, however, I'm not sure if the
> symbols tagged with 'R' are DATA and if I inserted the 'R' for the
> regex at the right place.  Could someone with insight verify that this
> patch is correct, please?

I'll look into it but it may be some time (<2weeks). libtool-1.5.8 is 
out now or will soon be out; so I'll roll up any updates with that.

--
Chuck

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/